Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043518
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] J. Demo datatrivialhave not tried2020-03-17 18:132020-06-23 15:55
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision336f87c612bb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043518: Sample data (F&B International Group Client) for 3.0PR20Q2

DescriptionFollowing the "How to evolve F&B" document instructions create the transactions of Jan., Feb. and Mar. 2020 in both organizations (US and Spain) for F&B International Group Client.
Steps To Reproduce1) In a clean instance with no modules, execute:
ant install.source
2) Execute ant update.database and execute ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo. Commit the changes.
3) Create new transactions
4) Verify the inserted data
5) ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0118681)
AtulOpenbravo (developer)
2020-03-18 17:18

Test Plan:

-Go to purchase order, filtered by the quarter records, check there are 6 purchase order F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 purchase orders to F&B US West Coast.

-Go to good receipt, filtered by the quarter records, check there are 6 good receipt F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 good receipt to F&B US West Coast.

-Go to purchase invoice, filter by the quarter, check there are 6 purchase invoice F&B US East Coast and 3 purchase invoice to F&B US West Coast.

-Go to purchase invoice, filter by the quarter records, check there are 12 service purchase invoice F&B US, Inc and 12 service purchase invoice to F&B España, S.A.

-Go to payment out and check the suppliers payments

-Go to Financial Account transaction for the G/L Item “Sueldos y Salarios” or “Salaries”.

-Go to g/l journal and check the lines

-Go to sales order filter by the quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.

-Go to goods shipment filter by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.

-Go to sales invoice filtered by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.

-Go to sales invoice, filtered <0 in days till next due. Notice that the applied filter resulted 0 records.

-Go to financial account check that there is 1 imported bank statements per quarter and check the reconciliation, to F&B España, S.A. in Cuenta de Banco and F&B US, Inc in Bank Account 1
(0118717)
hgbot (developer)
2020-03-20 14:58

Repository: erp/devel/pi
Changeset: 935c5eb5636055405808e682ac4cccb4db48b29d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Mar 17 23:00:42 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/935c5eb5636055405808e682ac4cccb4db48b29d [^]

Related to BUG-0043518: Sample data (F&B International Group Client)
for 3.0PR20Q2

** Executed update.database and exported changes prior to creating
transactions as sample data for 3.0PR20Q2

---
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
---
(0118718)
hgbot (developer)
2020-03-20 14:58

Repository: erp/devel/pi
Changeset: 237c1004f93e047fa36d179d84b75c9b40d90456
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Mar 18 21:52:14 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/237c1004f93e047fa36d179d84b75c9b40d90456 [^]

Fixes BUG-0043518:Sample data (F&B International Group Client)
for 3.0PR20Q2

Following the "How to evolve F&B" document instructions,
created transactions of Jan., Feb. and Mar. 2020 in both
organizations (US and Spain) for F&B International Group
Client.

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_REQUEST.xml
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_USER.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_CONVERSION_RATE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINE.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERTAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER_DISCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENTLINE.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINACC_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINANCIAL_ACCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROPOSAL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROP_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULE.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULEDETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_RECONCILIATION.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNAL.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALBATCH.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALLINE.xml
M referencedata/sampledata/F_B_International_Group/M_ATTRIBUTESETINSTANCE.xml
M referencedata/sampledata/F_B_International_Group/M_COSTING.xml
M referencedata/sampledata/F_B_International_Group/M_INOUT.xml
M referencedata/sampledata/F_B_International_Group/M_INOUTLINE.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHINV.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHPO.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_PENDING.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION_COST.xml
---
(0118719)
vmromanos (developer)
2020-03-20 14:59

Code review & testing OK
(0118974)
hgbot (developer)
2020-04-06 11:53

Repository: erp/devel/pi
Changeset: dc30dc22cb7d54cf36217f208c66f167f234912d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Mar 17 23:00:42 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/dc30dc22cb7d54cf36217f208c66f167f234912d [^]

Related to BUG-0043518: Sample data (F&B International Group Client)
for 3.0PR20Q2

** Executed update.database and exported changes prior to creating
transactions as sample data for 3.0PR20Q2

---
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
---
(0118975)
hgbot (developer)
2020-04-06 11:54

Repository: erp/devel/pi
Changeset: 336f87c612bb9ec6ef201cb8332ac2c32957fe6c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Mar 18 21:52:14 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/336f87c612bb9ec6ef201cb8332ac2c32957fe6c [^]

Fixes BUG-0043518:Sample data (F&B International Group Client)
for 3.0PR20Q2

Following the "How to evolve F&B" document instructions,
created transactions of Jan., Feb. and Mar. 2020 in both
organizations (US and Spain) for F&B International Group
Client.

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_REQUEST.xml
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_USER.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_CONVERSION_RATE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINE.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERTAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER_DISCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENTLINE.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINACC_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINANCIAL_ACCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROPOSAL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROP_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULE.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULEDETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_RECONCILIATION.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNAL.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALBATCH.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALLINE.xml
M referencedata/sampledata/F_B_International_Group/M_ATTRIBUTESETINSTANCE.xml
M referencedata/sampledata/F_B_International_Group/M_COSTING.xml
M referencedata/sampledata/F_B_International_Group/M_INOUT.xml
M referencedata/sampledata/F_B_International_Group/M_INOUTLINE.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHINV.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHPO.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_PENDING.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION_COST.xml
---
(0119000)
cberner (developer)
2020-04-06 15:52

closed: wrongly reopened

- Issue History
Date Modified Username Field Change
2020-03-17 18:13 AtulOpenbravo New Issue
2020-03-17 18:13 AtulOpenbravo Assigned To => AtulOpenbravo
2020-03-17 18:13 AtulOpenbravo Modules => Core
2020-03-17 18:13 AtulOpenbravo Triggers an Emergency Pack => No
2020-03-17 18:13 AtulOpenbravo Issue generated from 0042605
2020-03-17 18:14 AtulOpenbravo Status new => scheduled
2020-03-18 17:18 AtulOpenbravo Note Added: 0118681
2020-03-20 14:58 hgbot Checkin
2020-03-20 14:58 hgbot Note Added: 0118717
2020-03-20 14:58 hgbot Checkin
2020-03-20 14:58 hgbot Note Added: 0118718
2020-03-20 14:58 hgbot Status scheduled => resolved
2020-03-20 14:58 hgbot Resolution open => fixed
2020-03-20 14:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/237c1004f93e047fa36d179d84b75c9b40d90456 [^]
2020-03-20 14:59 vmromanos Review Assigned To => vmromanos
2020-03-20 14:59 vmromanos Note Added: 0118719
2020-03-20 14:59 vmromanos Status resolved => closed
2020-03-20 14:59 vmromanos Fixed in Version => 3.0PR20Q2
2020-04-06 11:53 hgbot Checkin
2020-04-06 11:53 hgbot Note Added: 0118974
2020-04-06 11:54 hgbot Checkin
2020-04-06 11:54 hgbot Note Added: 0118975
2020-04-06 11:54 hgbot Status closed => resolved
2020-04-06 11:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/237c1004f93e047fa36d179d84b75c9b40d90456 [^] => http://code.openbravo.com/erp/devel/pi/rev/336f87c612bb9ec6ef201cb8332ac2c32957fe6c [^]
2020-04-06 15:52 cberner Note Added: 0119000
2020-04-06 15:52 cberner Status resolved => closed
2020-06-23 15:55 AtulOpenbravo Issue cloned 0044459


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker